package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag190;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT190Creator;

public class Tag71BCreator extends AbsTagCreate {

    private MT190Creator mt190Creator;

    public Tag71BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt190Creator = (MT190Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag71BValue = mt190Creator.getDetailsOfCharges();
        mt190Creator.set("71B", tag71BValue);
    }
}